package com.ruoyi.system.domain.visit;

import java.io.Serializable;

public class VisitFreeInterview implements Serializable {

    private String id;

    /**
     * 关联的自由走访网格员中间表id
     *
     * @mbg.generated
     */
    private String planId;

    /**
     * 关联的自由走访计划模板id
     *
     * @mbg.generated
     */
    private String modelId;

    private String wgCode;

    private String wgValue;

    /**
     * 网格员姓名
     *
     * @mbg.generated
     */
    private String wgyName;

    /**
     * 网格员wgcode
     *
     * @mbg.generated
     */
    private String wgyCode;

    /**
     * 走访时间
     *
     * @mbg.generated
     */
    private String interviewTime;

    /**
     * 走访对象类型-1：企业 2：商铺(九小场所）、3房屋（存房屋类型code）4 人口
     *
     * @mbg.generated
     */
    private String type;

    /**
     * 关联的企业 商铺 房屋 人口 id
     *
     * @mbg.generated
     */
    private String objId;

    /**
     * 企业 商铺 房屋 人口 名称
     *
     * @mbg.generated
     */
    private String objName;

    /**
     * 企业 商铺 房屋 人口 类型
     *
     * @mbg.generated
     */
    private String objType;

    /**
     * 企业 商铺 房屋 人口 类型名称
     *
     * @mbg.generated
     */
    private String objTypeName;

    /**
     * 法人、经营负责人、户主
     *
     * @mbg.generated
     */
    private String objUserName;

    /**
     * 对象编码(统一社会行用代码、营业执照编码、房屋号)
     *
     * @mbg.generated
     */
    private String objNumber;

    private String createId;

    /**
     * 走访人姓名
     *
     * @mbg.generated
     */
    private String createName;

    private String createTime;

    /**
     * 0-未转工单,1-已转工单
     *
     * @mbg.generated
     */
    private String status;

    /**
     * 工单id
     *
     * @mbg.generated
     */
    private String taskId;

    /**
     * 1:有效 0:无效
     *
     * @mbg.generated
     */
    private String isValid;

    /**
     * 经度
     *
     * @mbg.generated
     */
    private String longitude;

    /**
     * 纬度
     *
     * @mbg.generated
     */
    private String latitude;

    /**
     * 中文地址
     *
     * @mbg.generated
     */
    private String address;

    /**
     * 实际走访时间
     *
     * @mbg.generated
     */
    private String actualTime;

    /**
     * 走访反馈
     *
     * @mbg.generated
     */
    private String content;

    /**
     * 自由走访F/更新走访U
     */
    private String visitType;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getWgValue() {
        return wgValue;
    }

    public void setWgValue(String wgValue) {
        this.wgValue = wgValue;
    }

    public String getWgyName() {
        return wgyName;
    }

    public void setWgyName(String wgyName) {
        this.wgyName = wgyName;
    }

    public String getWgyCode() {
        return wgyCode;
    }

    public void setWgyCode(String wgyCode) {
        this.wgyCode = wgyCode;
    }

    public String getInterviewTime() {
        return interviewTime;
    }

    public void setInterviewTime(String interviewTime) {
        this.interviewTime = interviewTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public String getObjTypeName() {
        return objTypeName;
    }

    public void setObjTypeName(String objTypeName) {
        this.objTypeName = objTypeName;
    }

    public String getObjUserName() {
        return objUserName;
    }

    public void setObjUserName(String objUserName) {
        this.objUserName = objUserName;
    }

    public String getObjNumber() {
        return objNumber;
    }

    public void setObjNumber(String objNumber) {
        this.objNumber = objNumber;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getActualTime() {
        return actualTime;
    }

    public void setActualTime(String actualTime) {
        this.actualTime = actualTime;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getVisitType() {
        return visitType;
    }

    public void setVisitType(String visitType) {
        this.visitType = visitType;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", planId=").append(planId);
        sb.append(", modelId=").append(modelId);
        sb.append(", wgCode=").append(wgCode);
        sb.append(", wgValue=").append(wgValue);
        sb.append(", wgyName=").append(wgyName);
        sb.append(", wgyCode=").append(wgyCode);
        sb.append(", interviewTime=").append(interviewTime);
        sb.append(", type=").append(type);
        sb.append(", objId=").append(objId);
        sb.append(", objName=").append(objName);
        sb.append(", objType=").append(objType);
        sb.append(", objTypeName=").append(objTypeName);
        sb.append(", objUserName=").append(objUserName);
        sb.append(", objNumber=").append(objNumber);
        sb.append(", createId=").append(createId);
        sb.append(", createName=").append(createName);
        sb.append(", createTime=").append(createTime);
        sb.append(", status=").append(status);
        sb.append(", taskId=").append(taskId);
        sb.append(", isValid=").append(isValid);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", address=").append(address);
        sb.append(", actualTime=").append(actualTime);
        sb.append(", content=").append(content);
        sb.append(", visitType=").append(visitType);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitFreeInterview other = (VisitFreeInterview) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getPlanId() == null ? other.getPlanId() == null : this.getPlanId().equals(other.getPlanId()))
                && (this.getModelId() == null ? other.getModelId() == null : this.getModelId().equals(other.getModelId()))
                && (this.getWgCode() == null ? other.getWgCode() == null : this.getWgCode().equals(other.getWgCode()))
                && (this.getWgValue() == null ? other.getWgValue() == null : this.getWgValue().equals(other.getWgValue()))
                && (this.getWgyName() == null ? other.getWgyName() == null : this.getWgyName().equals(other.getWgyName()))
                && (this.getWgyCode() == null ? other.getWgyCode() == null : this.getWgyCode().equals(other.getWgyCode()))
                && (this.getInterviewTime() == null ? other.getInterviewTime() == null : this.getInterviewTime().equals(other.getInterviewTime()))
                && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
                && (this.getObjId() == null ? other.getObjId() == null : this.getObjId().equals(other.getObjId()))
                && (this.getObjName() == null ? other.getObjName() == null : this.getObjName().equals(other.getObjName()))
                && (this.getObjType() == null ? other.getObjType() == null : this.getObjType().equals(other.getObjType()))
                && (this.getObjTypeName() == null ? other.getObjTypeName() == null : this.getObjTypeName().equals(other.getObjTypeName()))
                && (this.getObjUserName() == null ? other.getObjUserName() == null : this.getObjUserName().equals(other.getObjUserName()))
                && (this.getObjNumber() == null ? other.getObjNumber() == null : this.getObjNumber().equals(other.getObjNumber()))
                && (this.getCreateId() == null ? other.getCreateId() == null : this.getCreateId().equals(other.getCreateId()))
                && (this.getCreateName() == null ? other.getCreateName() == null : this.getCreateName().equals(other.getCreateName()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
                && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
                && (this.getTaskId() == null ? other.getTaskId() == null : this.getTaskId().equals(other.getTaskId()))
                && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
                && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
                && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
                && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
                && (this.getActualTime() == null ? other.getActualTime() == null : this.getActualTime().equals(other.getActualTime()))
                && (this.getVisitType() == null ? other.getVisitType() == null : this.getVisitType().equals(other.getVisitType()))
                && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPlanId() == null) ? 0 : getPlanId().hashCode());
        result = prime * result + ((getModelId() == null) ? 0 : getModelId().hashCode());
        result = prime * result + ((getWgCode() == null) ? 0 : getWgCode().hashCode());
        result = prime * result + ((getWgValue() == null) ? 0 : getWgValue().hashCode());
        result = prime * result + ((getWgyName() == null) ? 0 : getWgyName().hashCode());
        result = prime * result + ((getWgyCode() == null) ? 0 : getWgyCode().hashCode());
        result = prime * result + ((getInterviewTime() == null) ? 0 : getInterviewTime().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getObjId() == null) ? 0 : getObjId().hashCode());
        result = prime * result + ((getObjName() == null) ? 0 : getObjName().hashCode());
        result = prime * result + ((getObjType() == null) ? 0 : getObjType().hashCode());
        result = prime * result + ((getObjTypeName() == null) ? 0 : getObjTypeName().hashCode());
        result = prime * result + ((getObjUserName() == null) ? 0 : getObjUserName().hashCode());
        result = prime * result + ((getObjNumber() == null) ? 0 : getObjNumber().hashCode());
        result = prime * result + ((getCreateId() == null) ? 0 : getCreateId().hashCode());
        result = prime * result + ((getCreateName() == null) ? 0 : getCreateName().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getTaskId() == null) ? 0 : getTaskId().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getActualTime() == null) ? 0 : getActualTime().hashCode());
        result = prime * result + ((getVisitType() == null) ? 0 : getVisitType().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        return result;
    }
}